Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# ACE_OS_TLI Class Reference

This class is a wrapper for the TLI operations. More...

`#include <OS_TLI.h>`

Inheritance diagram for ACE_OS_TLI

[legend]
List of all members.

## Static Public Methods
int | t_accept (ACE_HANDLE fildes, ACE_HANDLE resfd, struct t_call *call)
char* | t_alloc (ACE_HANDLE fildes, int struct_type, int fields)
int | t_bind (ACE_HANDLE fildes, struct t_bind *req, struct t_bind *ret)
int | t_close (ACE_HANDLE fildes)
int | t_connect (ACE_HANDLE fildes, struct t_call *sndcall, struct t_call *rcvcall)
void | t_error (const char *errmsg)
int | t_free (char *ptr, int struct_type)
int | t_getinfo (ACE_HANDLE fildes, struct t_info *info)
int | t_getname (ACE_HANDLE fildes, struct netbuf *namep, int type)
int | t_getstate (ACE_HANDLE fildes)
int | t_listen (ACE_HANDLE fildes, struct t_call *call)
int | t_look (ACE_HANDLE fildes)
ACE_HANDLE | t_open (char *path, int oflag, struct t_info *info)
int | t_optmgmt (ACE_HANDLE fildes, struct t_optmgmt *req, struct t_optmgmt *ret)
int | t_rcv (ACE_HANDLE fildes, char *buf, unsigned int nbytes, int *flags)
int | t_rcvdis (ACE_HANDLE fildes, struct t_discon *discon)
int | t_rcvrel (ACE_HANDLE fildes)
int | t_rcvudata (ACE_HANDLE fildes, struct t_unitdata *unitdata, int *flags)
int | t_rcvuderr (ACE_HANDLE fildes, struct t_uderr *uderr)
int | t_snd (ACE_HANDLE fildes, const char *buf, unsigned int nbytes, int flags)
int | t_snddis (ACE_HANDLE fildes, struct t_call *call)
int | t_sndrel (ACE_HANDLE fildes)
int | t_sync (ACE_HANDLE fildes)
int | t_unbind (ACE_HANDLE fildes)

## Detailed Description

This class is a wrapper for the TLI operations.

## Member Function Documentation

ACE_INLINE int ACE_OS_TLI::t_accept ( | ACE_HANDLE handle,
| ACE_HANDLE reshandle,
| struct t_call * call )`[static]`

ACE_INLINE char * ACE_OS_TLI::t_alloc ( | ACE_HANDLE handle,
| int struct_type,
| int fields )`[static]`

ACE_INLINE int ACE_OS_TLI::t_bind ( | ACE_HANDLE handle,
| struct t_bind * req,
| struct t_bind * ret )`[static]`

ACE_INLINE int ACE_OS_TLI::t_close ( | ACE_HANDLE handle )`[static]`

ACE_INLINE int ACE_OS_TLI::t_connect ( | ACE_HANDLE fildes,
| struct t_call * sndcall,
| struct t_call * rcvcall )`[static]`

ACE_INLINE void ACE_OS_TLI::t_error ( | const char * errmsg )`[static]`

ACE_INLINE int ACE_OS_TLI::t_free ( | char * ptr,
| int struct_type )`[static]`

ACE_INLINE int ACE_OS_TLI::t_getinfo ( | ACE_HANDLE handle,
| struct t_info * info )`[static]`

ACE_INLINE int ACE_OS_TLI::t_getname ( | ACE_HANDLE handle,
| struct netbuf * namep,
| int type )`[static]`

ACE_INLINE int ACE_OS_TLI::t_getstate ( | ACE_HANDLE handle )`[static]`

ACE_INLINE int ACE_OS_TLI::t_listen ( | ACE_HANDLE handle,
| struct t_call * call )`[static]`

ACE_INLINE int ACE_OS_TLI::t_look ( | ACE_HANDLE handle )`[static]`

ACE_INLINE ACE_HANDLE ACE_OS_TLI::t_open ( | char * path,
| int oflag,
| struct t_info * info )`[static]`

ACE_INLINE int ACE_OS_TLI::t_optmgmt ( | ACE_HANDLE handle,
| struct t_optmgmt * req,
| struct t_optmgmt * ret )`[static]`

ACE_INLINE int ACE_OS_TLI::t_rcv ( | ACE_HANDLE handle,
| char * buf,
| unsigned int nbytes,
| int * flags )`[static]`

ACE_INLINE int ACE_OS_TLI::t_rcvdis ( | ACE_HANDLE handle,
| struct t_discon * discon )`[static]`

ACE_INLINE int ACE_OS_TLI::t_rcvrel ( | ACE_HANDLE handle )`[static]`

ACE_INLINE int ACE_OS_TLI::t_rcvudata ( | ACE_HANDLE handle,
| struct t_unitdata * unitdata,
| int * flags )`[static]`

ACE_INLINE int ACE_OS_TLI::t_rcvuderr ( | ACE_HANDLE handle,
| struct t_uderr * uderr )`[static]`

ACE_INLINE int ACE_OS_TLI::t_snd ( | ACE_HANDLE handle,
| const char * buf,
| unsigned int nbytes,
| int flags )`[static]`

ACE_INLINE int ACE_OS_TLI::t_snddis ( | ACE_HANDLE handle,
| struct t_call * call )`[static]`

ACE_INLINE int ACE_OS_TLI::t_sndrel ( | ACE_HANDLE handle )`[static]`

ACE_INLINE int ACE_OS_TLI::t_sync ( | ACE_HANDLE handle )`[static]`

ACE_INLINE int ACE_OS_TLI::t_unbind ( | ACE_HANDLE handle )`[static]`

The documentation for this class was generated from the following files:

- OS_TLI.h
- OS_TLI.inl